Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://app.autoposting.ai/api-proxy/api/notifications/preferences \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "email": { "post.failed": true, "post.published": false } } '
{ "success": true, "data": { "inApp": { "post.published": true, "post.failed": true, "agent.run.completed": true, "clip.render.completed": true, "team.invitation": true }, "email": { "post.published": false, "post.failed": true, "agent.run.completed": false, "clip.render.completed": false, "team.invitation": true } } }
API key as Authorization: Bearer sk-social-...
Authorization: Bearer sk-social-...
Map of notification event type to boolean. Only provided keys are updated.
Show child attributes
Updated notification preferences
Per-channel map of notification event type to enabled boolean.
Was this page helpful?